Skip to content
GAMPEONCreate
New project

Items you bought

GET
/v1/me/purchases
curl --request GET \
--url https://api.gampeon.com/v1/me/purchases \
--header 'Authorization: Bearer <token>'

Not available with access tokens.

Items

Media typeapplication/json
object
purchases
required
Array
object
name
required

Unique resource name

string
/^[a-z0-9][a-z0-9_\-]{1,47}$/
title
required
string
description
required
string
kind
required
string
Allowed values: script vehicle map prop clothing gamemode tool
tags
required
Array<string>
owner
required
object
handle
required

Unique handle

string
/^[a-z0-9_]{3,24}$/
displayName
required
string
avatar
One of:

Image path relative to the API (/v1/media/…). null without an image.

string
latestVersion
required
One of:

Newest version that is not blocked

string
image
required
One of:

Path of the preview image, relative to the API, for example /v1/images/<sha256>.webp

string
downloads
required

Downloads of all versions

integer
price
required

Price in GAMPEONS, 0 = free

integer
createdAt
required

Unix time in milliseconds

integer format: int64
updatedAt
required

Unix time in milliseconds

integer format: int64
paid
required

Amount in GAMPEONS

integer
boughtAt
required
One of:

Unix time in milliseconds

integer format: int64

Example

{
"purchases": [
{
"kind": "script"
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback